%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ppRank
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Classification of Algorithms

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
Implements the Bi-objective Lexicographical Classification method and
Performance Assessment Ratio at 10%% metric for algorithm classification.
Constructs matrices representing algorithm performance under multiple
criteria, facilitating decision-making in algorithm selection and
evaluation. Analyzes and compares algorithm performance based on various
metrics to identify the most suitable algorithms for specific tasks. This
package includes methods for algorithm classification and evaluation, with
examples provided in the documentation. Carvalho (2019) presents a
statistical evaluation of algorithmic computational experimentation with
infeasible solutions <doi:10.48550/arXiv.1902.00101>. Moreira and Carvalho
(2023) analyze power in preprocessing methodologies for datasets with
missing values <doi:10.1080/03610918.2023.2234683>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
